## Function template has_attr

boost::log::expressions::has_attr

## Synopsis

    // In header: <boost/log/expressions/predicates/has_attr.hpp>

    template<typename AttributeValueT>
      unspecified has_attr(attribute_name const & name);

## Description

The function generates a terminal node in a template expression. The node will check for the attribute value presence in a log record. The node will also check that the attribute value has the specified type, if present.

The function generates a terminal node in a template expression. The node will check for the attribute value presence in a log record.